Bug 11175 - Ntp server can't adjust time
: Ntp server can't adjust time
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/spt-profiles-ovz)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-21 20:06 by
Modified: 2007-04-06 18:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-21 20:06:58
Openntpd из шаблона ntp-server не может скорректировать системное время:
...
adjusting local clock by -0.002918s
interval 2439.537 olddelta 28.208 (delta - olddelta) -28.211
error_ppm -5782.024 freq_delta -5375535 tick_delta -57
adjtimex set freq failed: Operation not permitted
adjtime failed: Operation not permitted
...
Должно быть, контейнеру нужны какие-то дополнительные права.

# ntpdate -q -d 192.168.10.115 пишет:
...
192.168.10.115: Server dropped: Leap not in sync
server 192.168.10.115, port 123
stratum 2, precision -19, leap 11, trust 000
...
21 Mar 20:04:22 ntpdate[30250]: no server suitable for synchronization found
------- Comment #1 From 2007-03-21 21:42:57 -------
VE надо с профилем "ntp" создавать.  CAP_SYS_TIME не хватает, а в шаблоне эта
информация не фиксируется.
------- Comment #2 From 2007-03-21 21:47:28 -------
"Профиль" это не "Профили OpenVZ", а "Название профиля" под "Создать новый
сервер OpenVZ".
------- Comment #3 From 2007-03-21 23:18:50 -------
Не понял, CAP_SYS_TIME появляется, если создавать VPS только из альтератора? Я
это делаю в консоли:
$ spt -v --noiso --noboot --image-type=tgz -p /etc/spt/profiles/ovz/ntp-server/
~/ovz
$ sudo vzctl create <num> --ostemplate altlinux-ntp-server --config vps.basic

Я тут вычитал, что нужно сказать
$ sudo vzctl set <num> --capability sys_time:on --save
Это добавит в /etc/vz/conf/<num>.conf строку
CAPABILITY="SYS_TIME:on "
Мне кажется, стоит создать шаблон ve-vps.ntp.conf-sample с этой строкой и
включить его в пакет, чтобы затем использовать --config vps.ntp .
------- Comment #4 From 2007-03-22 09:24:35 -------
да, запросто такое может быть.

Надеюсь спецы по виртуализации решат эту проблему полностью и окончательно  ...
в том числе и в интерфейсе управления было бы неплохо иметь возможность
управлять capabilities ;)

------- Comment #5 From 2007-03-22 09:25:18 -------
повышаю приоритет
------- Comment #6 From 2007-04-05 13:59:22 -------
# grep -l SYS_TIME /etc/vz/conf/ve-*-sample
/etc/vz/conf/ve-ntp.conf-sample
# rpm -qf /etc/vz/conf/ve-ntp.conf-sample
ve-build-scripts-0.0.1-alt2.1

huh?
------- Comment #7 From 2007-04-06 18:15:05 -------
Оказывается, в ve-build-scripts уже есть нужный конфиг.